﻿using System;
using System.Collections.ObjectModel;

namespace SfChartIndicatorAxisSample
{
    public class ViewModel
    {
        public ObservableCollection<SfCandleUI> Candles { get; set; }
        public ObservableCollection<IndicatorPoint> Line1Points { get; set; }

        public ViewModel()
        {
            Candles = new ObservableCollection<SfCandleUI>();
            Line1Points = new ObservableCollection<IndicatorPoint>();

            #region Test-Data
            Candles.Add(new SfCandleUI(DateTime.UtcNow.AddHours(-15), 96, 100, 95, 96, 453));
            Candles.Add(new SfCandleUI(DateTime.UtcNow.AddHours(-14), 96, 110, 47, 64, 786));
            Candles.Add(new SfCandleUI(DateTime.UtcNow.AddHours(-13), 64, 80, 51, 78, 454));
            Candles.Add(new SfCandleUI(DateTime.UtcNow.AddHours(-12), 78, 100, 74, 96, 454));
            Candles.Add(new SfCandleUI(DateTime.UtcNow.AddHours(-11), 96, 120, 95, 117, 675));
            Candles.Add(new SfCandleUI(DateTime.UtcNow.AddHours(-10), 117, 150, 94, 98, 754));
            Candles.Add(new SfCandleUI(DateTime.UtcNow.AddHours(-9), 98, 100, 60, 64, 456));
            Candles.Add(new SfCandleUI(DateTime.UtcNow.AddHours(-8), 64, 70, 30, 35, 786));
            Candles.Add(new SfCandleUI(DateTime.UtcNow.AddHours(-7), 35, 80, 25, 80, 754));
            Candles.Add(new SfCandleUI(DateTime.UtcNow.AddHours(-6), 80, 100, 65, 70, 765));
            Candles.Add(new SfCandleUI(DateTime.UtcNow.AddHours(-5), 70, 77, 65, 70, 423));
            Candles.Add(new SfCandleUI(DateTime.UtcNow.AddHours(-4), 70, 100, 61, 96, 1498));
            Candles.Add(new SfCandleUI(DateTime.UtcNow.AddHours(-3), 110, 168, 105, 107, 1000));
            Candles.Add(new SfCandleUI(DateTime.UtcNow.AddHours(-2), 107, 120, 66, 71, 654));
            Candles.Add(new SfCandleUI(DateTime.UtcNow.AddHours(-1), 71, 91, 60, 85, 1138));
            Candles.Add(new SfCandleUI(DateTime.UtcNow, 85, 111, 82, 100, 1000));


            Line1Points.Add(new IndicatorPoint(DateTime.UtcNow.AddHours(-15), -0.1));
            Line1Points.Add(new IndicatorPoint(DateTime.UtcNow.AddHours(-14), 0.22));
            Line1Points.Add(new IndicatorPoint(DateTime.UtcNow.AddHours(-13), 0.35));
            Line1Points.Add(new IndicatorPoint(DateTime.UtcNow.AddHours(-12), 0.22));
            Line1Points.Add(new IndicatorPoint(DateTime.UtcNow.AddHours(-11), 0.15));
            Line1Points.Add(new IndicatorPoint(DateTime.UtcNow.AddHours(-10), 0.45));
            Line1Points.Add(new IndicatorPoint(DateTime.UtcNow.AddHours(-9), 0.66));
            Line1Points.Add(new IndicatorPoint(DateTime.UtcNow.AddHours(-8), 0.5));
            Line1Points.Add(new IndicatorPoint(DateTime.UtcNow.AddHours(-7), 0.43));
            Line1Points.Add(new IndicatorPoint(DateTime.UtcNow.AddHours(-6), 0.7));
            Line1Points.Add(new IndicatorPoint(DateTime.UtcNow.AddHours(-5), 0.61));
            Line1Points.Add(new IndicatorPoint(DateTime.UtcNow.AddHours(-4), 0.47));
            Line1Points.Add(new IndicatorPoint(DateTime.UtcNow.AddHours(-3), 0.35));
            Line1Points.Add(new IndicatorPoint(DateTime.UtcNow.AddHours(-2), 0.18));
            Line1Points.Add(new IndicatorPoint(DateTime.UtcNow.AddHours(-1), 0.04));
            Line1Points.Add(new IndicatorPoint(DateTime.UtcNow, -0.11));
            #endregion

        }

    }
}
